%global fontname rfa-pyidaungsu-regular
%global fontconf 64-%{fontname}
%global archivename pyidaungsu_regular-2.5.3

%global common_desc \
Pyidaungsu is a Myanmar font that aims at Unicode compliance.

Name:    %{fontname}-fonts
Version: 2.5.3
Release: 1%{?dist}
Summary: A Unicode-friendly font for Burmese and the Myanmar script

Group:   User Interface/X
License: Public Domain
Source0: %{archivename}.tar.gz
Source1: %{name}-fontconfig.conf

BuildArch: noarch
BuildRequires: fontpackages-devel
BuildRequires: fonttools
Requires:      fontpackages-filesystem

%description
%common_desc

%_font_pkg -f %{fontconf}.conf %{archivename}.ttf

%prep

%setup -n pyidaungsu_regular-%{version}

%build


%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}.conf

ln -s %{_fontconfig_templatedir}/%{fontconf}.conf \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}.conf


%changelog
* Wed Apr 21 2021 Fred Gleason <fredg@paravelsystems.com> - 2.5.3-1
- Initial package.
